RK-J - Feature #3237

Enable copilot as quickly as possible
09/28/2023 07:01 AM - Ram Kordale

Status: Closed Start date: 09/28/2023
Priority: Urgent Due date:

Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Today, we do the following: (a) wait for 10 seconds (b) make api call (c) show copilot.
we want to show copilot immediately. so, one way to handle this is:
(a) show copilot (b) in parallel, make api call (c) wait for final page load event (d) wait for 2 more seconds (e) make api call.

if user asks for some search phrase X after (b) and after (e), the user may get different answers.

History

#1 - 11/01/2023 09:11 AM - Ram Kordale

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#2 - 11/01/2023 11:24 AM - Ayanava Karmakar

- Status changed from New to In Progress

#3 - 11/01/2023 01:05 PM - Ayanava Karmakar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 11/01/2023 01:22 PM - Ayanava Karmakar
- Status changed from Resolved to In Progress

- % Done changed from 100 to 0

#5 - 11/02/2023 10:33 AM - Ayanava Karmakar

1) call api with page URL
2) wait for an appropriate event (page or dom loaded or some such event that fires last), scan the page for yt urls, make api call with page and yt urls
3) wait for 20 seconds (is it 20 right now?), scan the page for yt urls, make api call with page and yt urls

#6 - 11/03/2023 04:51 AM - Ayanava Karmakar

Updated requirements

show the Ul only after you get results or do not get results even in the final call

1 2 3

1 n n N - show 3rd
2 n n Y - show 3rd
3 n Y Y - show 2nd
4 Y Y Y - show 1st

[Yesterday 18:50] Ram Kordale
i see. in the above table, 1 could be triggered initially (no delay). 2 to be triggered after the Ul event and 3. triggered as today.

#7 - 11/07/2023 08:19 AM - Ayanava Karmakar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#8 - 11/07/2023 08:19 AM - Ayanava Karmakar
- Status changed from Resolved to Review

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

#9 - 11/07/2023 08:21 AM - Ayanava Karmakar
- second API call at min(completeTriggerTime, now + DELAY_BEFORE_SECOND_API_CALL))

_M
40- 29ae 4f76 934f- 44d6f253b5be&qrouo|d a0742afc-5585-411a-b096-19e5388f6863&parentMessageld= 1699015831273&teamName RK- A&chann
elName=General&createdTime=1699015948396

#10 - 11/07/2023 08:21 AM - Ayanava Karmakar
DELAY_BEFORE_SECOND_API_CALL = 1 second

#11 - 11/24/2023 05:25 AM - Ayanava Karmakar
- Status changed from Review to Reopened

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#12 - 11/24/2023 05:25 AM - Ayanava Karmakar

- Status changed from Reopened to In Progress

#13 - 11/24/2023 05:41 AM - Ayanava Karmakar

A) getPurpleLinksinfoExtFull API calls timing -

JS-Snippet - (Non-YouTube Pages)

1) After all the js-snippet scripts have been added to head tag & loaded

2) Immediately after "load" event is triggered

3) 2 seconds constant delay after "load" event is triggered

JS-Snippet - (YouTube Pages)

1) After all the js-snippet scripts have been added to head tag & loaded

Extension - (Non-YouTube Pages)

1) Immediately on page visit

2) Immediately after "load" event is triggered

3) 2 seconds constant delay after "load" event is triggered

Extension - (YouTube Pages)

1) Immediately on page visit

B) When to show the Ul

1) After the 1st API call- for both cases a) No purple links results b) we get purple link results

2) if we get updated responses -> We show/update the related links section after we get the 2nd & 3rd API calls
3) if we get updated responses -> We update the purplelinks data from which the user is searching the search term
C) When to show Related Links ( assuming is_snippet_test_mode is TRUE )

1) If we don't get purple link results in the 1st call, we don't show the Related Links section -> If we get purple links after 2nd/3rd API calls, then we
show the Related Links section

2) If we get purple link results in the 1st call, we show the Related Links section -> if we get more purple links after 2nd/3rd API calls, then we update
the related links section

#14 - 11/24/2023 05:41 AM - Ayanava Karmakar
Ayanava Karmakar wrote in #note-13:
A) getPurpleLinksinfoExtFull API calls timing -
JS-Snippet - (Non-YouTube Pages)
1) After all the js-snippet scripts have been added to head tag & loaded

2) Immediately after "load" event is triggered
3) 2 seconds constant delay after "load" event is triggered
https://teams.microsoft.com/l/message/19:wAG1hd8VEjPykYbnXjLNJLW0RsbZ2PjJq_MIZKf1HfE1@thread.tacv2/1699015948396?tenantId=004a3e40-29ae-4f76-934f-44d6f253b5be&groupId=a0742afc-5585-411a-b096-19e5388f6863&parentMessageId=1699015831273&teamName=RK-A&channelName=General&createdTime=1699015948396
https://teams.microsoft.com/l/message/19:wAG1hd8VEjPykYbnXjLNJLW0RsbZ2PjJq_MIZKf1HfE1@thread.tacv2/1699015948396?tenantId=004a3e40-29ae-4f76-934f-44d6f253b5be&groupId=a0742afc-5585-411a-b096-19e5388f6863&parentMessageId=1699015831273&teamName=RK-A&channelName=General&createdTime=1699015948396
https://teams.microsoft.com/l/message/19:wAG1hd8VEjPykYbnXjLNJLW0RsbZ2PjJq_MIZKf1HfE1@thread.tacv2/1699015948396?tenantId=004a3e40-29ae-4f76-934f-44d6f253b5be&groupId=a0742afc-5585-411a-b096-19e5388f6863&parentMessageId=1699015831273&teamName=RK-A&channelName=General&createdTime=1699015948396

JS-Snippet - (YouTube Pages)

1) After all the js-snippet scripts have been added to head tag & loaded

Extension - (Non-YouTube Pages)

1) Immediately on page visit

2) Immediately after "load" event is triggered

3) 2 seconds constant delay after "load" event is triggered

Extension - (YouTube Pages)

1) Immediately on page visit

B) When to show the Ul

1) After the 1st API call- for both cases a) No purple links results b) we get purple link results

2) if we get updated responses -> We show/update the related links section after we get the 2nd & 3rd API calls

3) if we get updated responses -> We update the purplelinks data from which the user is searching the search term
C) When to show Related Links ( assuming is_snippet_test_mode is TRUE )

1) If we don't get purple link results in the 1st call, we don't show the Related Links section -> If we get purple links after 2nd/3rd API calls, then
we show the Related Links section

2) If we get purple link results in the 1st call, we show the Related Links section -> if we get more purple links after 2nd/3rd API calls, then we
update the related links section

UPDATED REQUIREMENTS

#15 - 11/24/2023 08:13 AM - Ayanava Karmakar

- Status changed from In Progress to Resolved

#16 - 11/24/2023 08:16 AM - Ayanava Karmakar

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

#17 - 11/24/2023 08:16 AM - Ayanava Karmakar

- Status changed from Resolved to Review

#18 - 11/24/2023 10:38 AM - Ayush Khandelwal
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#19 - 11/24/2023 10:47 AM - Ayanava Karmakar

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

working correctly

Tested on the following links -

1. https://www.studytonight.com/operating-system/introduction-operating-systems - we get purple links from 1st response
2. https://js-client-master.netlify.app/home - no purple links even in 3rd response

3. https://www.classcentral.com/classroom/youtube-python-tutorial-for-beginners-full-course-53265/610cb3f906eaf - NO purple links in 1st response.
either a) purple links in 2nd b) more purple links in 3rd OR a) also no purple links in 2nd b) purple links in 3rd

#20 - 11/24/2023 12:01 PM - Ayush Khandelwal
The way we determine that all the “js-snippet’ scripts have been added to head tag & loaded is as follows:
var script_loaded_count = 0;

// Get HTML head element
var head = document.getElementsByTagName ('HEAD') [0];

var scriptNames = ["modal.js","cookie.js", "copilotScript.js", "extensionIndex.]js", "extensiondJaro.js", "exten
sionLoader. js", "extensionSearchUserTerms.js", "selection.js", "first-modal.js"];
var total_script_count = scriptNames.length; // 9
for (var scriptName : scriptNames) {
var script = document.createElement ('script');
script.src = scriptName;

script.onload = () {
https://www.studytonight.com/operating-system/introduction-operating-systems
https://js-client-master.netlify.app/home
https://www.classcentral.com/classroom/youtube-python-tutorial-for-beginners-full-course-53265/610cb3f906eaf

script_loaded_count++;

if (script_loaded_count == total_script_count) {
// first api call

}

}
head.appendChild(script);

#21 - 11/29/2023 11:22 AM - Ram Kordale
- Status changed from Feedback to Closed
